#ifndef _H_4F03401B5A5470E9012B1996CFD875B1_Increment_DCPS_H_
#define _H_4F03401B5A5470E9012B1996CFD875B1_Increment_DCPS_H_

#include "sacpp_mapping.h"
#include "dds_dcps.h"
#include "Increment_.h"


namespace teleop_tools_msgs
{
    namespace action
    {
        namespace dds_
        {
            class Increment_Goal_TypeSupportInterface;

            typedef Increment_Goal_TypeSupportInterface * Increment_Goal_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_Goal_TypeSupportInterface> Increment_Goal_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_Goal_TypeSupportInterface> Increment_Goal_TypeSupportInterface_out;


            class Increment_Goal_DataWriter;

            typedef Increment_Goal_DataWriter * Increment_Goal_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_Goal_DataWriter> Increment_Goal_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_Goal_DataWriter> Increment_Goal_DataWriter_out;


            class Increment_Goal_DataReader;

            typedef Increment_Goal_DataReader * Increment_Goal_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_Goal_DataReader> Increment_Goal_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_Goal_DataReader> Increment_Goal_DataReader_out;


            class Increment_Goal_DataReaderView;

            typedef Increment_Goal_DataReaderView * Increment_Goal_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_Goal_DataReaderView> Increment_Goal_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_Goal_DataReaderView> Increment_Goal_DataReaderView_out;

            struct Increment_Goal_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Increment_Goal_, struct Increment_Goal_Seq_uniq_> Increment_Goal_Seq;
            typedef DDS_DCPSSequence_var < Increment_Goal_Seq> Increment_Goal_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_Goal_Seq> Increment_Goal_Seq_out;

            class  Increment_Goal_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_Goal_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_Goal_TypeSupportInterface_var _var_type;

                static Increment_Goal_TypeSupportInterface_ptr _duplicate (Increment_Goal_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Goal_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Goal_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Goal_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Goal_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_Goal_TypeSupportInterface () {};
                ~Increment_Goal_TypeSupportInterface () {};
            private:
                Increment_Goal_TypeSupportInterface (const Increment_Goal_TypeSupportInterface &);
                Increment_Goal_TypeSupportInterface & operator = (const Increment_Goal_TypeSupportInterface &);
            };

            class  Increment_Goal_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_Goal_DataWriter_ptr _ptr_type;
                typedef Increment_Goal_DataWriter_var _var_type;

                static Increment_Goal_DataWriter_ptr _duplicate (Increment_Goal_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Goal_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Goal_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_Goal_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_Goal_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_Goal_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_Goal_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Goal_& instance_data) = 0;

            protected:
                Increment_Goal_DataWriter () {};
                ~Increment_Goal_DataWriter () {};
            private:
                Increment_Goal_DataWriter (const Increment_Goal_DataWriter &);
                Increment_Goal_DataWriter & operator = (const Increment_Goal_DataWriter &);
            };

            class  Increment_Goal_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_Goal_DataReader_ptr _ptr_type;
                typedef Increment_Goal_DataReader_var _var_type;

                static Increment_Goal_DataReader_ptr _duplicate (Increment_Goal_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Goal_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Goal_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Goal_& instance) = 0;

            protected:
                Increment_Goal_DataReader () {};
                ~Increment_Goal_DataReader () {};
            private:
                Increment_Goal_DataReader (const Increment_Goal_DataReader &);
                Increment_Goal_DataReader & operator = (const Increment_Goal_DataReader &);
            };

            class  Increment_Goal_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_Goal_DataReaderView_ptr _ptr_type;
                typedef Increment_Goal_DataReaderView_var _var_type;

                static Increment_Goal_DataReaderView_ptr _duplicate (Increment_Goal_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Goal_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Goal_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Goal_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Goal_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Goal_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Goal_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Goal_& instance) = 0;

            protected:
                Increment_Goal_DataReaderView () {};
                ~Increment_Goal_DataReaderView () {};
            private:
                Increment_Goal_DataReaderView (const Increment_Goal_DataReaderView &);
                Increment_Goal_DataReaderView & operator = (const Increment_Goal_DataReaderView &);
            };
            class Increment_SendGoal_Request_TypeSupportInterface;

            typedef Increment_SendGoal_Request_TypeSupportInterface * Increment_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Request_TypeSupportInterface> Increment_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Request_TypeSupportInterface> Increment_SendGoal_Request_TypeSupportInterface_out;


            class Increment_SendGoal_Request_DataWriter;

            typedef Increment_SendGoal_Request_DataWriter * Increment_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Request_DataWriter> Increment_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Request_DataWriter> Increment_SendGoal_Request_DataWriter_out;


            class Increment_SendGoal_Request_DataReader;

            typedef Increment_SendGoal_Request_DataReader * Increment_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Request_DataReader> Increment_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Request_DataReader> Increment_SendGoal_Request_DataReader_out;


            class Increment_SendGoal_Request_DataReaderView;

            typedef Increment_SendGoal_Request_DataReaderView * Increment_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Request_DataReaderView> Increment_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Request_DataReaderView> Increment_SendGoal_Request_DataReaderView_out;

            struct Increment_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Increment_SendGoal_Request_, struct Increment_SendGoal_Request_Seq_uniq_> Increment_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < Increment_SendGoal_Request_Seq> Increment_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_SendGoal_Request_Seq> Increment_SendGoal_Request_Seq_out;

            class  Increment_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_SendGoal_Request_TypeSupportInterface_var _var_type;

                static Increment_SendGoal_Request_TypeSupportInterface_ptr _duplicate (Increment_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_SendGoal_Request_TypeSupportInterface () {};
                ~Increment_SendGoal_Request_TypeSupportInterface () {};
            private:
                Increment_SendGoal_Request_TypeSupportInterface (const Increment_SendGoal_Request_TypeSupportInterface &);
                Increment_SendGoal_Request_TypeSupportInterface & operator = (const Increment_SendGoal_Request_TypeSupportInterface &);
            };

            class  Increment_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef Increment_SendGoal_Request_DataWriter_var _var_type;

                static Increment_SendGoal_Request_DataWriter_ptr _duplicate (Increment_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Request_& instance_data) = 0;

            protected:
                Increment_SendGoal_Request_DataWriter () {};
                ~Increment_SendGoal_Request_DataWriter () {};
            private:
                Increment_SendGoal_Request_DataWriter (const Increment_SendGoal_Request_DataWriter &);
                Increment_SendGoal_Request_DataWriter & operator = (const Increment_SendGoal_Request_DataWriter &);
            };

            class  Increment_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef Increment_SendGoal_Request_DataReader_var _var_type;

                static Increment_SendGoal_Request_DataReader_ptr _duplicate (Increment_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Request_& instance) = 0;

            protected:
                Increment_SendGoal_Request_DataReader () {};
                ~Increment_SendGoal_Request_DataReader () {};
            private:
                Increment_SendGoal_Request_DataReader (const Increment_SendGoal_Request_DataReader &);
                Increment_SendGoal_Request_DataReader & operator = (const Increment_SendGoal_Request_DataReader &);
            };

            class  Increment_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef Increment_SendGoal_Request_DataReaderView_var _var_type;

                static Increment_SendGoal_Request_DataReaderView_ptr _duplicate (Increment_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Request_& instance) = 0;

            protected:
                Increment_SendGoal_Request_DataReaderView () {};
                ~Increment_SendGoal_Request_DataReaderView () {};
            private:
                Increment_SendGoal_Request_DataReaderView (const Increment_SendGoal_Request_DataReaderView &);
                Increment_SendGoal_Request_DataReaderView & operator = (const Increment_SendGoal_Request_DataReaderView &);
            };
            class Increment_SendGoal_Response_TypeSupportInterface;

            typedef Increment_SendGoal_Response_TypeSupportInterface * Increment_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Response_TypeSupportInterface> Increment_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Response_TypeSupportInterface> Increment_SendGoal_Response_TypeSupportInterface_out;


            class Increment_SendGoal_Response_DataWriter;

            typedef Increment_SendGoal_Response_DataWriter * Increment_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Response_DataWriter> Increment_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Response_DataWriter> Increment_SendGoal_Response_DataWriter_out;


            class Increment_SendGoal_Response_DataReader;

            typedef Increment_SendGoal_Response_DataReader * Increment_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Response_DataReader> Increment_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Response_DataReader> Increment_SendGoal_Response_DataReader_out;


            class Increment_SendGoal_Response_DataReaderView;

            typedef Increment_SendGoal_Response_DataReaderView * Increment_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_SendGoal_Response_DataReaderView> Increment_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_SendGoal_Response_DataReaderView> Increment_SendGoal_Response_DataReaderView_out;

            struct Increment_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_SendGoal_Response_, struct Increment_SendGoal_Response_Seq_uniq_> Increment_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < Increment_SendGoal_Response_Seq> Increment_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_SendGoal_Response_Seq> Increment_SendGoal_Response_Seq_out;

            class  Increment_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_SendGoal_Response_TypeSupportInterface_var _var_type;

                static Increment_SendGoal_Response_TypeSupportInterface_ptr _duplicate (Increment_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_SendGoal_Response_TypeSupportInterface () {};
                ~Increment_SendGoal_Response_TypeSupportInterface () {};
            private:
                Increment_SendGoal_Response_TypeSupportInterface (const Increment_SendGoal_Response_TypeSupportInterface &);
                Increment_SendGoal_Response_TypeSupportInterface & operator = (const Increment_SendGoal_Response_TypeSupportInterface &);
            };

            class  Increment_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef Increment_SendGoal_Response_DataWriter_var _var_type;

                static Increment_SendGoal_Response_DataWriter_ptr _duplicate (Increment_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Response_& instance_data) = 0;

            protected:
                Increment_SendGoal_Response_DataWriter () {};
                ~Increment_SendGoal_Response_DataWriter () {};
            private:
                Increment_SendGoal_Response_DataWriter (const Increment_SendGoal_Response_DataWriter &);
                Increment_SendGoal_Response_DataWriter & operator = (const Increment_SendGoal_Response_DataWriter &);
            };

            class  Increment_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef Increment_SendGoal_Response_DataReader_var _var_type;

                static Increment_SendGoal_Response_DataReader_ptr _duplicate (Increment_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Response_& instance) = 0;

            protected:
                Increment_SendGoal_Response_DataReader () {};
                ~Increment_SendGoal_Response_DataReader () {};
            private:
                Increment_SendGoal_Response_DataReader (const Increment_SendGoal_Response_DataReader &);
                Increment_SendGoal_Response_DataReader & operator = (const Increment_SendGoal_Response_DataReader &);
            };

            class  Increment_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef Increment_SendGoal_Response_DataReaderView_var _var_type;

                static Increment_SendGoal_Response_DataReaderView_ptr _duplicate (Increment_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_SendGoal_Response_& instance) = 0;

            protected:
                Increment_SendGoal_Response_DataReaderView () {};
                ~Increment_SendGoal_Response_DataReaderView () {};
            private:
                Increment_SendGoal_Response_DataReaderView (const Increment_SendGoal_Response_DataReaderView &);
                Increment_SendGoal_Response_DataReaderView & operator = (const Increment_SendGoal_Response_DataReaderView &);
            };
            class Sample_Increment_SendGoal_Request_TypeSupportInterface;

            typedef Sample_Increment_SendGoal_Request_TypeSupportInterface * Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Request_TypeSupportInterface> Sample_Increment_SendGoal_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Request_TypeSupportInterface> Sample_Increment_SendGoal_Request_TypeSupportInterface_out;


            class Sample_Increment_SendGoal_Request_DataWriter;

            typedef Sample_Increment_SendGoal_Request_DataWriter * Sample_Increment_SendGoal_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Request_DataWriter> Sample_Increment_SendGoal_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Request_DataWriter> Sample_Increment_SendGoal_Request_DataWriter_out;


            class Sample_Increment_SendGoal_Request_DataReader;

            typedef Sample_Increment_SendGoal_Request_DataReader * Sample_Increment_SendGoal_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Request_DataReader> Sample_Increment_SendGoal_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Request_DataReader> Sample_Increment_SendGoal_Request_DataReader_out;


            class Sample_Increment_SendGoal_Request_DataReaderView;

            typedef Sample_Increment_SendGoal_Request_DataReaderView * Sample_Increment_SendGoal_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Request_DataReaderView> Sample_Increment_SendGoal_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Request_DataReaderView> Sample_Increment_SendGoal_Request_DataReaderView_out;

            struct Sample_Increment_SendGoal_Request_Seq_uniq_ {};
            typedef DDS_DCPSUVLSeq < Sample_Increment_SendGoal_Request_, struct Sample_Increment_SendGoal_Request_Seq_uniq_> Sample_Increment_SendGoal_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_Increment_SendGoal_Request_Seq> Sample_Increment_SendGoal_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Increment_SendGoal_Request_Seq> Sample_Increment_SendGoal_Request_Seq_out;

            class  Sample_Increment_SendGoal_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Request_TypeSupportInterface_var _var_type;

                static Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _duplicate (Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Increment_SendGoal_Request_TypeSupportInterface () {};
                ~Sample_Increment_SendGoal_Request_TypeSupportInterface () {};
            private:
                Sample_Increment_SendGoal_Request_TypeSupportInterface (const Sample_Increment_SendGoal_Request_TypeSupportInterface &);
                Sample_Increment_SendGoal_Request_TypeSupportInterface & operator = (const Sample_Increment_SendGoal_Request_TypeSupportInterface &);
            };

            class  Sample_Increment_SendGoal_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Increment_SendGoal_Request_DataWriter_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Request_DataWriter_var _var_type;

                static Sample_Increment_SendGoal_Request_DataWriter_ptr _duplicate (Sample_Increment_SendGoal_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Increment_SendGoal_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Increment_SendGoal_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Increment_SendGoal_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Request_& instance_data) = 0;

            protected:
                Sample_Increment_SendGoal_Request_DataWriter () {};
                ~Sample_Increment_SendGoal_Request_DataWriter () {};
            private:
                Sample_Increment_SendGoal_Request_DataWriter (const Sample_Increment_SendGoal_Request_DataWriter &);
                Sample_Increment_SendGoal_Request_DataWriter & operator = (const Sample_Increment_SendGoal_Request_DataWriter &);
            };

            class  Sample_Increment_SendGoal_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Increment_SendGoal_Request_DataReader_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Request_DataReader_var _var_type;

                static Sample_Increment_SendGoal_Request_DataReader_ptr _duplicate (Sample_Increment_SendGoal_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Request_& instance) = 0;

            protected:
                Sample_Increment_SendGoal_Request_DataReader () {};
                ~Sample_Increment_SendGoal_Request_DataReader () {};
            private:
                Sample_Increment_SendGoal_Request_DataReader (const Sample_Increment_SendGoal_Request_DataReader &);
                Sample_Increment_SendGoal_Request_DataReader & operator = (const Sample_Increment_SendGoal_Request_DataReader &);
            };

            class  Sample_Increment_SendGoal_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Increment_SendGoal_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Request_DataReaderView_var _var_type;

                static Sample_Increment_SendGoal_Request_DataReaderView_ptr _duplicate (Sample_Increment_SendGoal_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_SendGoal_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_SendGoal_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Request_& instance) = 0;

            protected:
                Sample_Increment_SendGoal_Request_DataReaderView () {};
                ~Sample_Increment_SendGoal_Request_DataReaderView () {};
            private:
                Sample_Increment_SendGoal_Request_DataReaderView (const Sample_Increment_SendGoal_Request_DataReaderView &);
                Sample_Increment_SendGoal_Request_DataReaderView & operator = (const Sample_Increment_SendGoal_Request_DataReaderView &);
            };
            class Sample_Increment_SendGoal_Response_TypeSupportInterface;

            typedef Sample_Increment_SendGoal_Response_TypeSupportInterface * Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Response_TypeSupportInterface> Sample_Increment_SendGoal_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Response_TypeSupportInterface> Sample_Increment_SendGoal_Response_TypeSupportInterface_out;


            class Sample_Increment_SendGoal_Response_DataWriter;

            typedef Sample_Increment_SendGoal_Response_DataWriter * Sample_Increment_SendGoal_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Response_DataWriter> Sample_Increment_SendGoal_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Response_DataWriter> Sample_Increment_SendGoal_Response_DataWriter_out;


            class Sample_Increment_SendGoal_Response_DataReader;

            typedef Sample_Increment_SendGoal_Response_DataReader * Sample_Increment_SendGoal_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Response_DataReader> Sample_Increment_SendGoal_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Response_DataReader> Sample_Increment_SendGoal_Response_DataReader_out;


            class Sample_Increment_SendGoal_Response_DataReaderView;

            typedef Sample_Increment_SendGoal_Response_DataReaderView * Sample_Increment_SendGoal_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_SendGoal_Response_DataReaderView> Sample_Increment_SendGoal_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_SendGoal_Response_DataReaderView> Sample_Increment_SendGoal_Response_DataReaderView_out;

            struct Sample_Increment_SendGoal_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_Increment_SendGoal_Response_, struct Sample_Increment_SendGoal_Response_Seq_uniq_> Sample_Increment_SendGoal_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_Increment_SendGoal_Response_Seq> Sample_Increment_SendGoal_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Increment_SendGoal_Response_Seq> Sample_Increment_SendGoal_Response_Seq_out;

            class  Sample_Increment_SendGoal_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Response_TypeSupportInterface_var _var_type;

                static Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _duplicate (Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Increment_SendGoal_Response_TypeSupportInterface () {};
                ~Sample_Increment_SendGoal_Response_TypeSupportInterface () {};
            private:
                Sample_Increment_SendGoal_Response_TypeSupportInterface (const Sample_Increment_SendGoal_Response_TypeSupportInterface &);
                Sample_Increment_SendGoal_Response_TypeSupportInterface & operator = (const Sample_Increment_SendGoal_Response_TypeSupportInterface &);
            };

            class  Sample_Increment_SendGoal_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Increment_SendGoal_Response_DataWriter_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Response_DataWriter_var _var_type;

                static Sample_Increment_SendGoal_Response_DataWriter_ptr _duplicate (Sample_Increment_SendGoal_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Increment_SendGoal_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Increment_SendGoal_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Increment_SendGoal_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Response_& instance_data) = 0;

            protected:
                Sample_Increment_SendGoal_Response_DataWriter () {};
                ~Sample_Increment_SendGoal_Response_DataWriter () {};
            private:
                Sample_Increment_SendGoal_Response_DataWriter (const Sample_Increment_SendGoal_Response_DataWriter &);
                Sample_Increment_SendGoal_Response_DataWriter & operator = (const Sample_Increment_SendGoal_Response_DataWriter &);
            };

            class  Sample_Increment_SendGoal_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Increment_SendGoal_Response_DataReader_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Response_DataReader_var _var_type;

                static Sample_Increment_SendGoal_Response_DataReader_ptr _duplicate (Sample_Increment_SendGoal_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Response_& instance) = 0;

            protected:
                Sample_Increment_SendGoal_Response_DataReader () {};
                ~Sample_Increment_SendGoal_Response_DataReader () {};
            private:
                Sample_Increment_SendGoal_Response_DataReader (const Sample_Increment_SendGoal_Response_DataReader &);
                Sample_Increment_SendGoal_Response_DataReader & operator = (const Sample_Increment_SendGoal_Response_DataReader &);
            };

            class  Sample_Increment_SendGoal_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Increment_SendGoal_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_Increment_SendGoal_Response_DataReaderView_var _var_type;

                static Sample_Increment_SendGoal_Response_DataReaderView_ptr _duplicate (Sample_Increment_SendGoal_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_SendGoal_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_SendGoal_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_SendGoal_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_SendGoal_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_SendGoal_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_SendGoal_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_SendGoal_Response_& instance) = 0;

            protected:
                Sample_Increment_SendGoal_Response_DataReaderView () {};
                ~Sample_Increment_SendGoal_Response_DataReaderView () {};
            private:
                Sample_Increment_SendGoal_Response_DataReaderView (const Sample_Increment_SendGoal_Response_DataReaderView &);
                Sample_Increment_SendGoal_Response_DataReaderView & operator = (const Sample_Increment_SendGoal_Response_DataReaderView &);
            };
            class Increment_Result_TypeSupportInterface;

            typedef Increment_Result_TypeSupportInterface * Increment_Result_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_Result_TypeSupportInterface> Increment_Result_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_Result_TypeSupportInterface> Increment_Result_TypeSupportInterface_out;


            class Increment_Result_DataWriter;

            typedef Increment_Result_DataWriter * Increment_Result_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_Result_DataWriter> Increment_Result_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_Result_DataWriter> Increment_Result_DataWriter_out;


            class Increment_Result_DataReader;

            typedef Increment_Result_DataReader * Increment_Result_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_Result_DataReader> Increment_Result_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_Result_DataReader> Increment_Result_DataReader_out;


            class Increment_Result_DataReaderView;

            typedef Increment_Result_DataReaderView * Increment_Result_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_Result_DataReaderView> Increment_Result_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_Result_DataReaderView> Increment_Result_DataReaderView_out;

            struct Increment_Result_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_Result_, struct Increment_Result_Seq_uniq_> Increment_Result_Seq;
            typedef DDS_DCPSSequence_var < Increment_Result_Seq> Increment_Result_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_Result_Seq> Increment_Result_Seq_out;

            class  Increment_Result_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_Result_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_Result_TypeSupportInterface_var _var_type;

                static Increment_Result_TypeSupportInterface_ptr _duplicate (Increment_Result_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Result_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Result_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Result_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Result_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_Result_TypeSupportInterface () {};
                ~Increment_Result_TypeSupportInterface () {};
            private:
                Increment_Result_TypeSupportInterface (const Increment_Result_TypeSupportInterface &);
                Increment_Result_TypeSupportInterface & operator = (const Increment_Result_TypeSupportInterface &);
            };

            class  Increment_Result_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_Result_DataWriter_ptr _ptr_type;
                typedef Increment_Result_DataWriter_var _var_type;

                static Increment_Result_DataWriter_ptr _duplicate (Increment_Result_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Result_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Result_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Result_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Result_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_Result_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_Result_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_Result_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_Result_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Result_& instance_data) = 0;

            protected:
                Increment_Result_DataWriter () {};
                ~Increment_Result_DataWriter () {};
            private:
                Increment_Result_DataWriter (const Increment_Result_DataWriter &);
                Increment_Result_DataWriter & operator = (const Increment_Result_DataWriter &);
            };

            class  Increment_Result_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_Result_DataReader_ptr _ptr_type;
                typedef Increment_Result_DataReader_var _var_type;

                static Increment_Result_DataReader_ptr _duplicate (Increment_Result_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Result_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Result_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Result_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Result_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Result_& instance) = 0;

            protected:
                Increment_Result_DataReader () {};
                ~Increment_Result_DataReader () {};
            private:
                Increment_Result_DataReader (const Increment_Result_DataReader &);
                Increment_Result_DataReader & operator = (const Increment_Result_DataReader &);
            };

            class  Increment_Result_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_Result_DataReaderView_ptr _ptr_type;
                typedef Increment_Result_DataReaderView_var _var_type;

                static Increment_Result_DataReaderView_ptr _duplicate (Increment_Result_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Result_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Result_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Result_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Result_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Result_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Result_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Result_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Result_& instance) = 0;

            protected:
                Increment_Result_DataReaderView () {};
                ~Increment_Result_DataReaderView () {};
            private:
                Increment_Result_DataReaderView (const Increment_Result_DataReaderView &);
                Increment_Result_DataReaderView & operator = (const Increment_Result_DataReaderView &);
            };
            class Increment_GetResult_Request_TypeSupportInterface;

            typedef Increment_GetResult_Request_TypeSupportInterface * Increment_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Request_TypeSupportInterface> Increment_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Request_TypeSupportInterface> Increment_GetResult_Request_TypeSupportInterface_out;


            class Increment_GetResult_Request_DataWriter;

            typedef Increment_GetResult_Request_DataWriter * Increment_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Request_DataWriter> Increment_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Request_DataWriter> Increment_GetResult_Request_DataWriter_out;


            class Increment_GetResult_Request_DataReader;

            typedef Increment_GetResult_Request_DataReader * Increment_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Request_DataReader> Increment_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Request_DataReader> Increment_GetResult_Request_DataReader_out;


            class Increment_GetResult_Request_DataReaderView;

            typedef Increment_GetResult_Request_DataReaderView * Increment_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Request_DataReaderView> Increment_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Request_DataReaderView> Increment_GetResult_Request_DataReaderView_out;

            struct Increment_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_GetResult_Request_, struct Increment_GetResult_Request_Seq_uniq_> Increment_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < Increment_GetResult_Request_Seq> Increment_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_GetResult_Request_Seq> Increment_GetResult_Request_Seq_out;

            class  Increment_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_GetResult_Request_TypeSupportInterface_var _var_type;

                static Increment_GetResult_Request_TypeSupportInterface_ptr _duplicate (Increment_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_GetResult_Request_TypeSupportInterface () {};
                ~Increment_GetResult_Request_TypeSupportInterface () {};
            private:
                Increment_GetResult_Request_TypeSupportInterface (const Increment_GetResult_Request_TypeSupportInterface &);
                Increment_GetResult_Request_TypeSupportInterface & operator = (const Increment_GetResult_Request_TypeSupportInterface &);
            };

            class  Increment_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef Increment_GetResult_Request_DataWriter_var _var_type;

                static Increment_GetResult_Request_DataWriter_ptr _duplicate (Increment_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Request_& instance_data) = 0;

            protected:
                Increment_GetResult_Request_DataWriter () {};
                ~Increment_GetResult_Request_DataWriter () {};
            private:
                Increment_GetResult_Request_DataWriter (const Increment_GetResult_Request_DataWriter &);
                Increment_GetResult_Request_DataWriter & operator = (const Increment_GetResult_Request_DataWriter &);
            };

            class  Increment_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_GetResult_Request_DataReader_ptr _ptr_type;
                typedef Increment_GetResult_Request_DataReader_var _var_type;

                static Increment_GetResult_Request_DataReader_ptr _duplicate (Increment_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Request_& instance) = 0;

            protected:
                Increment_GetResult_Request_DataReader () {};
                ~Increment_GetResult_Request_DataReader () {};
            private:
                Increment_GetResult_Request_DataReader (const Increment_GetResult_Request_DataReader &);
                Increment_GetResult_Request_DataReader & operator = (const Increment_GetResult_Request_DataReader &);
            };

            class  Increment_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef Increment_GetResult_Request_DataReaderView_var _var_type;

                static Increment_GetResult_Request_DataReaderView_ptr _duplicate (Increment_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Request_& instance) = 0;

            protected:
                Increment_GetResult_Request_DataReaderView () {};
                ~Increment_GetResult_Request_DataReaderView () {};
            private:
                Increment_GetResult_Request_DataReaderView (const Increment_GetResult_Request_DataReaderView &);
                Increment_GetResult_Request_DataReaderView & operator = (const Increment_GetResult_Request_DataReaderView &);
            };
            class Increment_GetResult_Response_TypeSupportInterface;

            typedef Increment_GetResult_Response_TypeSupportInterface * Increment_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Response_TypeSupportInterface> Increment_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Response_TypeSupportInterface> Increment_GetResult_Response_TypeSupportInterface_out;


            class Increment_GetResult_Response_DataWriter;

            typedef Increment_GetResult_Response_DataWriter * Increment_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Response_DataWriter> Increment_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Response_DataWriter> Increment_GetResult_Response_DataWriter_out;


            class Increment_GetResult_Response_DataReader;

            typedef Increment_GetResult_Response_DataReader * Increment_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Response_DataReader> Increment_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Response_DataReader> Increment_GetResult_Response_DataReader_out;


            class Increment_GetResult_Response_DataReaderView;

            typedef Increment_GetResult_Response_DataReaderView * Increment_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_GetResult_Response_DataReaderView> Increment_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_GetResult_Response_DataReaderView> Increment_GetResult_Response_DataReaderView_out;

            struct Increment_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_GetResult_Response_, struct Increment_GetResult_Response_Seq_uniq_> Increment_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < Increment_GetResult_Response_Seq> Increment_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_GetResult_Response_Seq> Increment_GetResult_Response_Seq_out;

            class  Increment_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_GetResult_Response_TypeSupportInterface_var _var_type;

                static Increment_GetResult_Response_TypeSupportInterface_ptr _duplicate (Increment_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_GetResult_Response_TypeSupportInterface () {};
                ~Increment_GetResult_Response_TypeSupportInterface () {};
            private:
                Increment_GetResult_Response_TypeSupportInterface (const Increment_GetResult_Response_TypeSupportInterface &);
                Increment_GetResult_Response_TypeSupportInterface & operator = (const Increment_GetResult_Response_TypeSupportInterface &);
            };

            class  Increment_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef Increment_GetResult_Response_DataWriter_var _var_type;

                static Increment_GetResult_Response_DataWriter_ptr _duplicate (Increment_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Response_& instance_data) = 0;

            protected:
                Increment_GetResult_Response_DataWriter () {};
                ~Increment_GetResult_Response_DataWriter () {};
            private:
                Increment_GetResult_Response_DataWriter (const Increment_GetResult_Response_DataWriter &);
                Increment_GetResult_Response_DataWriter & operator = (const Increment_GetResult_Response_DataWriter &);
            };

            class  Increment_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_GetResult_Response_DataReader_ptr _ptr_type;
                typedef Increment_GetResult_Response_DataReader_var _var_type;

                static Increment_GetResult_Response_DataReader_ptr _duplicate (Increment_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Response_& instance) = 0;

            protected:
                Increment_GetResult_Response_DataReader () {};
                ~Increment_GetResult_Response_DataReader () {};
            private:
                Increment_GetResult_Response_DataReader (const Increment_GetResult_Response_DataReader &);
                Increment_GetResult_Response_DataReader & operator = (const Increment_GetResult_Response_DataReader &);
            };

            class  Increment_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef Increment_GetResult_Response_DataReaderView_var _var_type;

                static Increment_GetResult_Response_DataReaderView_ptr _duplicate (Increment_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_GetResult_Response_& instance) = 0;

            protected:
                Increment_GetResult_Response_DataReaderView () {};
                ~Increment_GetResult_Response_DataReaderView () {};
            private:
                Increment_GetResult_Response_DataReaderView (const Increment_GetResult_Response_DataReaderView &);
                Increment_GetResult_Response_DataReaderView & operator = (const Increment_GetResult_Response_DataReaderView &);
            };
            class Sample_Increment_GetResult_Request_TypeSupportInterface;

            typedef Sample_Increment_GetResult_Request_TypeSupportInterface * Sample_Increment_GetResult_Request_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Request_TypeSupportInterface> Sample_Increment_GetResult_Request_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Request_TypeSupportInterface> Sample_Increment_GetResult_Request_TypeSupportInterface_out;


            class Sample_Increment_GetResult_Request_DataWriter;

            typedef Sample_Increment_GetResult_Request_DataWriter * Sample_Increment_GetResult_Request_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Request_DataWriter> Sample_Increment_GetResult_Request_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Request_DataWriter> Sample_Increment_GetResult_Request_DataWriter_out;


            class Sample_Increment_GetResult_Request_DataReader;

            typedef Sample_Increment_GetResult_Request_DataReader * Sample_Increment_GetResult_Request_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Request_DataReader> Sample_Increment_GetResult_Request_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Request_DataReader> Sample_Increment_GetResult_Request_DataReader_out;


            class Sample_Increment_GetResult_Request_DataReaderView;

            typedef Sample_Increment_GetResult_Request_DataReaderView * Sample_Increment_GetResult_Request_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Request_DataReaderView> Sample_Increment_GetResult_Request_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Request_DataReaderView> Sample_Increment_GetResult_Request_DataReaderView_out;

            struct Sample_Increment_GetResult_Request_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_Increment_GetResult_Request_, struct Sample_Increment_GetResult_Request_Seq_uniq_> Sample_Increment_GetResult_Request_Seq;
            typedef DDS_DCPSSequence_var < Sample_Increment_GetResult_Request_Seq> Sample_Increment_GetResult_Request_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Increment_GetResult_Request_Seq> Sample_Increment_GetResult_Request_Seq_out;

            class  Sample_Increment_GetResult_Request_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Request_TypeSupportInterface_var _var_type;

                static Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _duplicate (Sample_Increment_GetResult_Request_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Request_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Increment_GetResult_Request_TypeSupportInterface () {};
                ~Sample_Increment_GetResult_Request_TypeSupportInterface () {};
            private:
                Sample_Increment_GetResult_Request_TypeSupportInterface (const Sample_Increment_GetResult_Request_TypeSupportInterface &);
                Sample_Increment_GetResult_Request_TypeSupportInterface & operator = (const Sample_Increment_GetResult_Request_TypeSupportInterface &);
            };

            class  Sample_Increment_GetResult_Request_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Increment_GetResult_Request_DataWriter_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Request_DataWriter_var _var_type;

                static Sample_Increment_GetResult_Request_DataWriter_ptr _duplicate (Sample_Increment_GetResult_Request_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Request_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Request_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Increment_GetResult_Request_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Increment_GetResult_Request_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Increment_GetResult_Request_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Request_& instance_data) = 0;

            protected:
                Sample_Increment_GetResult_Request_DataWriter () {};
                ~Sample_Increment_GetResult_Request_DataWriter () {};
            private:
                Sample_Increment_GetResult_Request_DataWriter (const Sample_Increment_GetResult_Request_DataWriter &);
                Sample_Increment_GetResult_Request_DataWriter & operator = (const Sample_Increment_GetResult_Request_DataWriter &);
            };

            class  Sample_Increment_GetResult_Request_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Increment_GetResult_Request_DataReader_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Request_DataReader_var _var_type;

                static Sample_Increment_GetResult_Request_DataReader_ptr _duplicate (Sample_Increment_GetResult_Request_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Request_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Request_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Request_& instance) = 0;

            protected:
                Sample_Increment_GetResult_Request_DataReader () {};
                ~Sample_Increment_GetResult_Request_DataReader () {};
            private:
                Sample_Increment_GetResult_Request_DataReader (const Sample_Increment_GetResult_Request_DataReader &);
                Sample_Increment_GetResult_Request_DataReader & operator = (const Sample_Increment_GetResult_Request_DataReader &);
            };

            class  Sample_Increment_GetResult_Request_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Increment_GetResult_Request_DataReaderView_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Request_DataReaderView_var _var_type;

                static Sample_Increment_GetResult_Request_DataReaderView_ptr _duplicate (Sample_Increment_GetResult_Request_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Request_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Request_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Request_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_GetResult_Request_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_GetResult_Request_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Request_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Request_& instance) = 0;

            protected:
                Sample_Increment_GetResult_Request_DataReaderView () {};
                ~Sample_Increment_GetResult_Request_DataReaderView () {};
            private:
                Sample_Increment_GetResult_Request_DataReaderView (const Sample_Increment_GetResult_Request_DataReaderView &);
                Sample_Increment_GetResult_Request_DataReaderView & operator = (const Sample_Increment_GetResult_Request_DataReaderView &);
            };
            class Sample_Increment_GetResult_Response_TypeSupportInterface;

            typedef Sample_Increment_GetResult_Response_TypeSupportInterface * Sample_Increment_GetResult_Response_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Response_TypeSupportInterface> Sample_Increment_GetResult_Response_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Response_TypeSupportInterface> Sample_Increment_GetResult_Response_TypeSupportInterface_out;


            class Sample_Increment_GetResult_Response_DataWriter;

            typedef Sample_Increment_GetResult_Response_DataWriter * Sample_Increment_GetResult_Response_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Response_DataWriter> Sample_Increment_GetResult_Response_DataWriter_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Response_DataWriter> Sample_Increment_GetResult_Response_DataWriter_out;


            class Sample_Increment_GetResult_Response_DataReader;

            typedef Sample_Increment_GetResult_Response_DataReader * Sample_Increment_GetResult_Response_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Response_DataReader> Sample_Increment_GetResult_Response_DataReader_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Response_DataReader> Sample_Increment_GetResult_Response_DataReader_out;


            class Sample_Increment_GetResult_Response_DataReaderView;

            typedef Sample_Increment_GetResult_Response_DataReaderView * Sample_Increment_GetResult_Response_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Sample_Increment_GetResult_Response_DataReaderView> Sample_Increment_GetResult_Response_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Sample_Increment_GetResult_Response_DataReaderView> Sample_Increment_GetResult_Response_DataReaderView_out;

            struct Sample_Increment_GetResult_Response_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Sample_Increment_GetResult_Response_, struct Sample_Increment_GetResult_Response_Seq_uniq_> Sample_Increment_GetResult_Response_Seq;
            typedef DDS_DCPSSequence_var < Sample_Increment_GetResult_Response_Seq> Sample_Increment_GetResult_Response_Seq_var;
            typedef DDS_DCPSSequence_out < Sample_Increment_GetResult_Response_Seq> Sample_Increment_GetResult_Response_Seq_out;

            class  Sample_Increment_GetResult_Response_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Response_TypeSupportInterface_var _var_type;

                static Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _duplicate (Sample_Increment_GetResult_Response_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Response_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Sample_Increment_GetResult_Response_TypeSupportInterface () {};
                ~Sample_Increment_GetResult_Response_TypeSupportInterface () {};
            private:
                Sample_Increment_GetResult_Response_TypeSupportInterface (const Sample_Increment_GetResult_Response_TypeSupportInterface &);
                Sample_Increment_GetResult_Response_TypeSupportInterface & operator = (const Sample_Increment_GetResult_Response_TypeSupportInterface &);
            };

            class  Sample_Increment_GetResult_Response_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Sample_Increment_GetResult_Response_DataWriter_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Response_DataWriter_var _var_type;

                static Sample_Increment_GetResult_Response_DataWriter_ptr _duplicate (Sample_Increment_GetResult_Response_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Response_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Response_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Sample_Increment_GetResult_Response_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Sample_Increment_GetResult_Response_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Sample_Increment_GetResult_Response_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Response_& instance_data) = 0;

            protected:
                Sample_Increment_GetResult_Response_DataWriter () {};
                ~Sample_Increment_GetResult_Response_DataWriter () {};
            private:
                Sample_Increment_GetResult_Response_DataWriter (const Sample_Increment_GetResult_Response_DataWriter &);
                Sample_Increment_GetResult_Response_DataWriter & operator = (const Sample_Increment_GetResult_Response_DataWriter &);
            };

            class  Sample_Increment_GetResult_Response_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Sample_Increment_GetResult_Response_DataReader_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Response_DataReader_var _var_type;

                static Sample_Increment_GetResult_Response_DataReader_ptr _duplicate (Sample_Increment_GetResult_Response_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Response_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Response_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Response_& instance) = 0;

            protected:
                Sample_Increment_GetResult_Response_DataReader () {};
                ~Sample_Increment_GetResult_Response_DataReader () {};
            private:
                Sample_Increment_GetResult_Response_DataReader (const Sample_Increment_GetResult_Response_DataReader &);
                Sample_Increment_GetResult_Response_DataReader & operator = (const Sample_Increment_GetResult_Response_DataReader &);
            };

            class  Sample_Increment_GetResult_Response_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Sample_Increment_GetResult_Response_DataReaderView_ptr _ptr_type;
                typedef Sample_Increment_GetResult_Response_DataReaderView_var _var_type;

                static Sample_Increment_GetResult_Response_DataReaderView_ptr _duplicate (Sample_Increment_GetResult_Response_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Sample_Increment_GetResult_Response_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Sample_Increment_GetResult_Response_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Sample_Increment_GetResult_Response_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Sample_Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Sample_Increment_GetResult_Response_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Sample_Increment_GetResult_Response_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Sample_Increment_GetResult_Response_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Sample_Increment_GetResult_Response_& instance) = 0;

            protected:
                Sample_Increment_GetResult_Response_DataReaderView () {};
                ~Sample_Increment_GetResult_Response_DataReaderView () {};
            private:
                Sample_Increment_GetResult_Response_DataReaderView (const Sample_Increment_GetResult_Response_DataReaderView &);
                Sample_Increment_GetResult_Response_DataReaderView & operator = (const Sample_Increment_GetResult_Response_DataReaderView &);
            };
            class Increment_Feedback_TypeSupportInterface;

            typedef Increment_Feedback_TypeSupportInterface * Increment_Feedback_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_Feedback_TypeSupportInterface> Increment_Feedback_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_Feedback_TypeSupportInterface> Increment_Feedback_TypeSupportInterface_out;


            class Increment_Feedback_DataWriter;

            typedef Increment_Feedback_DataWriter * Increment_Feedback_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_Feedback_DataWriter> Increment_Feedback_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_Feedback_DataWriter> Increment_Feedback_DataWriter_out;


            class Increment_Feedback_DataReader;

            typedef Increment_Feedback_DataReader * Increment_Feedback_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_Feedback_DataReader> Increment_Feedback_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_Feedback_DataReader> Increment_Feedback_DataReader_out;


            class Increment_Feedback_DataReaderView;

            typedef Increment_Feedback_DataReaderView * Increment_Feedback_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_Feedback_DataReaderView> Increment_Feedback_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_Feedback_DataReaderView> Increment_Feedback_DataReaderView_out;

            struct Increment_Feedback_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_Feedback_, struct Increment_Feedback_Seq_uniq_> Increment_Feedback_Seq;
            typedef DDS_DCPSSequence_var < Increment_Feedback_Seq> Increment_Feedback_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_Feedback_Seq> Increment_Feedback_Seq_out;

            class  Increment_Feedback_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_Feedback_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_Feedback_TypeSupportInterface_var _var_type;

                static Increment_Feedback_TypeSupportInterface_ptr _duplicate (Increment_Feedback_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Feedback_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Feedback_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Feedback_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Feedback_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_Feedback_TypeSupportInterface () {};
                ~Increment_Feedback_TypeSupportInterface () {};
            private:
                Increment_Feedback_TypeSupportInterface (const Increment_Feedback_TypeSupportInterface &);
                Increment_Feedback_TypeSupportInterface & operator = (const Increment_Feedback_TypeSupportInterface &);
            };

            class  Increment_Feedback_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_Feedback_DataWriter_ptr _ptr_type;
                typedef Increment_Feedback_DataWriter_var _var_type;

                static Increment_Feedback_DataWriter_ptr _duplicate (Increment_Feedback_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Feedback_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Feedback_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_Feedback_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_Feedback_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_Feedback_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_Feedback_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Feedback_& instance_data) = 0;

            protected:
                Increment_Feedback_DataWriter () {};
                ~Increment_Feedback_DataWriter () {};
            private:
                Increment_Feedback_DataWriter (const Increment_Feedback_DataWriter &);
                Increment_Feedback_DataWriter & operator = (const Increment_Feedback_DataWriter &);
            };

            class  Increment_Feedback_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_Feedback_DataReader_ptr _ptr_type;
                typedef Increment_Feedback_DataReader_var _var_type;

                static Increment_Feedback_DataReader_ptr _duplicate (Increment_Feedback_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Feedback_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Feedback_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Feedback_& instance) = 0;

            protected:
                Increment_Feedback_DataReader () {};
                ~Increment_Feedback_DataReader () {};
            private:
                Increment_Feedback_DataReader (const Increment_Feedback_DataReader &);
                Increment_Feedback_DataReader & operator = (const Increment_Feedback_DataReader &);
            };

            class  Increment_Feedback_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_Feedback_DataReaderView_ptr _ptr_type;
                typedef Increment_Feedback_DataReaderView_var _var_type;

                static Increment_Feedback_DataReaderView_ptr _duplicate (Increment_Feedback_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_Feedback_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_Feedback_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_Feedback_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_Feedback_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_Feedback_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_Feedback_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_Feedback_& instance) = 0;

            protected:
                Increment_Feedback_DataReaderView () {};
                ~Increment_Feedback_DataReaderView () {};
            private:
                Increment_Feedback_DataReaderView (const Increment_Feedback_DataReaderView &);
                Increment_Feedback_DataReaderView & operator = (const Increment_Feedback_DataReaderView &);
            };
            class Increment_FeedbackMessage_TypeSupportInterface;

            typedef Increment_FeedbackMessage_TypeSupportInterface * Increment_FeedbackMessage_TypeSupportInterface_ptr;
            typedef DDS_DCPSInterface_var < Increment_FeedbackMessage_TypeSupportInterface> Increment_FeedbackMessage_TypeSupportInterface_var;
            typedef DDS_DCPSInterface_out < Increment_FeedbackMessage_TypeSupportInterface> Increment_FeedbackMessage_TypeSupportInterface_out;


            class Increment_FeedbackMessage_DataWriter;

            typedef Increment_FeedbackMessage_DataWriter * Increment_FeedbackMessage_DataWriter_ptr;
            typedef DDS_DCPSInterface_var < Increment_FeedbackMessage_DataWriter> Increment_FeedbackMessage_DataWriter_var;
            typedef DDS_DCPSInterface_out < Increment_FeedbackMessage_DataWriter> Increment_FeedbackMessage_DataWriter_out;


            class Increment_FeedbackMessage_DataReader;

            typedef Increment_FeedbackMessage_DataReader * Increment_FeedbackMessage_DataReader_ptr;
            typedef DDS_DCPSInterface_var < Increment_FeedbackMessage_DataReader> Increment_FeedbackMessage_DataReader_var;
            typedef DDS_DCPSInterface_out < Increment_FeedbackMessage_DataReader> Increment_FeedbackMessage_DataReader_out;


            class Increment_FeedbackMessage_DataReaderView;

            typedef Increment_FeedbackMessage_DataReaderView * Increment_FeedbackMessage_DataReaderView_ptr;
            typedef DDS_DCPSInterface_var < Increment_FeedbackMessage_DataReaderView> Increment_FeedbackMessage_DataReaderView_var;
            typedef DDS_DCPSInterface_out < Increment_FeedbackMessage_DataReaderView> Increment_FeedbackMessage_DataReaderView_out;

            struct Increment_FeedbackMessage_Seq_uniq_ {};
            typedef DDS_DCPSUFLSeq < Increment_FeedbackMessage_, struct Increment_FeedbackMessage_Seq_uniq_> Increment_FeedbackMessage_Seq;
            typedef DDS_DCPSSequence_var < Increment_FeedbackMessage_Seq> Increment_FeedbackMessage_Seq_var;
            typedef DDS_DCPSSequence_out < Increment_FeedbackMessage_Seq> Increment_FeedbackMessage_Seq_out;

            class  Increment_FeedbackMessage_TypeSupportInterface :
                virtual public DDS::TypeSupport
            { 
            public:
                typedef Increment_FeedbackMessage_TypeSupportInterface_ptr _ptr_type;
                typedef Increment_FeedbackMessage_TypeSupportInterface_var _var_type;

                static Increment_FeedbackMessage_TypeSupportInterface_ptr _duplicate (Increment_FeedbackMessage_TypeSupportInterface_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_FeedbackMessage_TypeSupportInterface_ptr _narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_TypeSupportInterface_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_TypeSupportInterface_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_FeedbackMessage_TypeSupportInterface_ptr _this () { return this; }


            protected:
                Increment_FeedbackMessage_TypeSupportInterface () {};
                ~Increment_FeedbackMessage_TypeSupportInterface () {};
            private:
                Increment_FeedbackMessage_TypeSupportInterface (const Increment_FeedbackMessage_TypeSupportInterface &);
                Increment_FeedbackMessage_TypeSupportInterface & operator = (const Increment_FeedbackMessage_TypeSupportInterface &);
            };

            class  Increment_FeedbackMessage_DataWriter :
                virtual public DDS::DataWriter
            { 
            public:
                typedef Increment_FeedbackMessage_DataWriter_ptr _ptr_type;
                typedef Increment_FeedbackMessage_DataWriter_var _var_type;

                static Increment_FeedbackMessage_DataWriter_ptr _duplicate (Increment_FeedbackMessage_DataWriter_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_FeedbackMessage_DataWriter_ptr _narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataWriter_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataWriter_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_FeedbackMessage_DataWriter_ptr _this () { return this; }

                virtual DDS::LongLong register_instance (const Increment_FeedbackMessage_& instance_data) = 0;
                virtual DDS::LongLong register_instance_w_timestamp (const Increment_FeedbackMessage_& instance_data, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long unregister_instance (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long unregister_instance_w_timestamp (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long write (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long write_w_timestamp (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long dispose (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long dispose_w_timestamp (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long writedispose (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle) = 0;
                virtual DDS::Long writedispose_w_timestamp (const Increment_FeedbackMessage_& instance_data, DDS::LongLong handle, const DDS::Time_t& source_timestamp) = 0;
                virtual DDS::Long get_key_value (Increment_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_FeedbackMessage_& instance_data) = 0;

            protected:
                Increment_FeedbackMessage_DataWriter () {};
                ~Increment_FeedbackMessage_DataWriter () {};
            private:
                Increment_FeedbackMessage_DataWriter (const Increment_FeedbackMessage_DataWriter &);
                Increment_FeedbackMessage_DataWriter & operator = (const Increment_FeedbackMessage_DataWriter &);
            };

            class  Increment_FeedbackMessage_DataReader :
                virtual public DDS::DataReader
            { 
            public:
                typedef Increment_FeedbackMessage_DataReader_ptr _ptr_type;
                typedef Increment_FeedbackMessage_DataReader_var _var_type;

                static Increment_FeedbackMessage_DataReader_ptr _duplicate (Increment_FeedbackMessage_DataReader_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_FeedbackMessage_DataReader_ptr _narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataReader_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataReader_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_FeedbackMessage_DataReader_ptr _this () { return this; }

                virtual DDS::Long read (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_FeedbackMessage_& instance) = 0;

            protected:
                Increment_FeedbackMessage_DataReader () {};
                ~Increment_FeedbackMessage_DataReader () {};
            private:
                Increment_FeedbackMessage_DataReader (const Increment_FeedbackMessage_DataReader &);
                Increment_FeedbackMessage_DataReader & operator = (const Increment_FeedbackMessage_DataReader &);
            };

            class  Increment_FeedbackMessage_DataReaderView :
                virtual public DDS::DataReaderView
            { 
            public:
                typedef Increment_FeedbackMessage_DataReaderView_ptr _ptr_type;
                typedef Increment_FeedbackMessage_DataReaderView_var _var_type;

                static Increment_FeedbackMessage_DataReaderView_ptr _duplicate (Increment_FeedbackMessage_DataReaderView_ptr obj);
                DDS::Boolean _local_is_a (const char * id);

                static Increment_FeedbackMessage_DataReaderView_ptr _narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataReaderView_ptr _unchecked_narrow (DDS::Object_ptr obj);
                static Increment_FeedbackMessage_DataReaderView_ptr _nil () { return 0; }
                static const char * _local_id;
                Increment_FeedbackMessage_DataReaderView_ptr _this () { return this; }

                virtual DDS::Long read (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long read_next_sample (Increment_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long take_next_sample (Increment_FeedbackMessage_& received_data, DDS::SampleInfo& sample_info) = 0;
                virtual DDS::Long read_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long take_next_instance (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ULong sample_states, DDS::ULong view_states, DDS::ULong instance_states) = 0;
                virtual DDS::Long read_next_instance_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long take_next_instance_w_condition (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq, DDS::Long max_samples, DDS::LongLong a_handle, DDS::ReadCondition_ptr a_condition) = 0;
                virtual DDS::Long return_loan (Increment_FeedbackMessage_Seq& received_data, DDS::SampleInfoSeq& info_seq) = 0;
                virtual DDS::Long get_key_value (Increment_FeedbackMessage_& key_holder, DDS::LongLong handle) = 0;
                virtual DDS::LongLong lookup_instance (const Increment_FeedbackMessage_& instance) = 0;

            protected:
                Increment_FeedbackMessage_DataReaderView () {};
                ~Increment_FeedbackMessage_DataReaderView () {};
            private:
                Increment_FeedbackMessage_DataReaderView (const Increment_FeedbackMessage_DataReaderView &);
                Increment_FeedbackMessage_DataReaderView & operator = (const Increment_FeedbackMessage_DataReaderView &);
            };
        }

    }

}

#endif
