#ifndef H_4F03401B5A5470E9012B1996CFD875B1_Increment_SPLTYPES_H
#define H_4F03401B5A5470E9012B1996CFD875B1_Increment_SPLTYPES_H

#include <c_base.h>
#include <c_misc.h>
#include <c_sync.h>
#include <c_collection.h>
#include <c_field.h>
#include <v_copyIn.h>

#include "ccpp_Increment_.h"
#include "unique_identifier_msgs/msg/dds_opensplice/UUID_SplDcps.h"
#include "builtin_interfaces/msg/dds_opensplice/Time_SplDcps.h"



extern c_metaObject __Increment__teleop_tools_msgs__load (c_base base);

extern c_metaObject __Increment__teleop_tools_msgs_action__load (c_base base);

extern c_metaObject __Increment__teleop_tools_msgs_action_dds___load (c_base base);

extern const char *teleop_tools_msgs_action_dds__Increment_Goal__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_Goal__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_Goal__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_Goal___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_Goal_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_Goal___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_Goal_ *from, struct _teleop_tools_msgs_action_dds__Increment_Goal_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_Goal___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_Goal_ {
    c_sequence increment_by_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_SendGoal_Request__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_SendGoal_Request__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_SendGoal_Request__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_SendGoal_Request___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Request_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_SendGoal_Request___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_SendGoal_Request_ *from, struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Request_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_SendGoal_Request___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Request_ {
    struct _unique_identifier_msgs_msg_dds__UUID_ goal_id_;
    struct _teleop_tools_msgs_action_dds__Increment_Goal_ goal_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_SendGoal_Response__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_SendGoal_Response__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_SendGoal_Response__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_SendGoal_Response___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Response_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_SendGoal_Response___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_SendGoal_Response_ *from, struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Response_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_SendGoal_Response___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Response_ {
    c_bool accepted_;
    struct _builtin_interfaces_msg_dds__Time_ stamp_;
};

extern const char *teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request___load (c_base base);
struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Sample_Increment_SendGoal_Request_ *from, struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request_ *to);
extern  void __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Request_ {
    c_ulonglong client_guid_0_;
    c_ulonglong client_guid_1_;
    c_longlong sequence_number_;
    struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Request_ request_;
};

extern const char *teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response___load (c_base base);
struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Sample_Increment_SendGoal_Response_ *from, struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response_ *to);
extern  void __teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Sample_Increment_SendGoal_Response_ {
    c_ulonglong client_guid_0_;
    c_ulonglong client_guid_1_;
    c_longlong sequence_number_;
    struct _teleop_tools_msgs_action_dds__Increment_SendGoal_Response_ response_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_Result__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_Result__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_Result__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_Result___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_Result_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_Result___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_Result_ *from, struct _teleop_tools_msgs_action_dds__Increment_Result_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_Result___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_Result_ {
    c_octet structure_needs_at_least_one_member_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_GetResult_Request__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_GetResult_Request__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_GetResult_Request__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_GetResult_Request___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_GetResult_Request_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_GetResult_Request___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_GetResult_Request_ *from, struct _teleop_tools_msgs_action_dds__Increment_GetResult_Request_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_GetResult_Request___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_GetResult_Request_ {
    struct _unique_identifier_msgs_msg_dds__UUID_ goal_id_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_GetResult_Response__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_GetResult_Response__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_GetResult_Response__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_GetResult_Response___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_GetResult_Response_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_GetResult_Response___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_GetResult_Response_ *from, struct _teleop_tools_msgs_action_dds__Increment_GetResult_Response_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_GetResult_Response___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_GetResult_Response_ {
    c_octet status_;
    struct _teleop_tools_msgs_action_dds__Increment_Result_ result_;
};

extern const char *teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request___load (c_base base);
struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Sample_Increment_GetResult_Request_ *from, struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request_ *to);
extern  void __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Request_ {
    c_ulonglong client_guid_0_;
    c_ulonglong client_guid_1_;
    c_longlong sequence_number_;
    struct _teleop_tools_msgs_action_dds__Increment_GetResult_Request_ request_;
};

extern const char *teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response___load (c_base base);
struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Sample_Increment_GetResult_Response_ *from, struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response_ *to);
extern  void __teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Sample_Increment_GetResult_Response_ {
    c_ulonglong client_guid_0_;
    c_ulonglong client_guid_1_;
    c_longlong sequence_number_;
    struct _teleop_tools_msgs_action_dds__Increment_GetResult_Response_ response_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_Feedback__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_Feedback__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_Feedback__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_Feedback___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_Feedback_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_Feedback___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_Feedback_ *from, struct _teleop_tools_msgs_action_dds__Increment_Feedback_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_Feedback___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_Feedback_ {
    c_octet structure_needs_at_least_one_member_;
};

extern const char *teleop_tools_msgs_action_dds__Increment_FeedbackMessage__metaDescriptor[];
extern const int teleop_tools_msgs_action_dds__Increment_FeedbackMessage__metaDescriptorArrLength;
extern const int teleop_tools_msgs_action_dds__Increment_FeedbackMessage__metaDescriptorLength;
extern c_metaObject __teleop_tools_msgs_action_dds__Increment_FeedbackMessage___load (c_base base);
struct _teleop_tools_msgs_action_dds__Increment_FeedbackMessage_ ;
extern  v_copyin_result __teleop_tools_msgs_action_dds__Increment_FeedbackMessage___copyIn(c_base base, const struct teleop_tools_msgs::action::dds_::Increment_FeedbackMessage_ *from, struct _teleop_tools_msgs_action_dds__Increment_FeedbackMessage_ *to);
extern  void __teleop_tools_msgs_action_dds__Increment_FeedbackMessage___copyOut(const void *_from, void *_to);
struct _teleop_tools_msgs_action_dds__Increment_FeedbackMessage_ {
    struct _unique_identifier_msgs_msg_dds__UUID_ goal_id_;
    struct _teleop_tools_msgs_action_dds__Increment_Feedback_ feedback_;
};

#undef OS_API
#endif
